Skip to main content
`Ctrl`+`K`

# world_axis_to_pixel_axes

ndcube.utils.wcs.world_axis_to_pixel_axes(world_axis, axis_correlation_matrix)

  Gets the pixel axis indices corresponding to the index of a world axis.

  Parameters:

    - world_axis (`int`) – The index of the physical type for which the pixels axes are desired.

    - axis_correlation_matrix (`numpy.ndarray` of `bool`) – 2D boolean correlation matrix defining the dependence between the pixel and world axes. Format same as `astropy.wcs.wcsapi.BaseLowLevelWCS.axis_correlation_matrix`.

  Returns:

    pixel_axes – The pixel axis indices corresponding to the world axis.

  Return type:

    `numpy.ndarray`